<?php

    //**********************************************
    // IWS Process definition for client: P&V J700 *
    // Version: 2025-04-04                         *
    //**********************************************

	return array (

        // ----------------------------------------------------------------------------------------------
        // IWS_NEW - process for new IWS applications 
        // ----------------------------------------------------------------------------------------------
        //
        'IWS_NEW_J700' => array (
                'activity' => array (
                        'IWS_REPORT' => array (
                                array (
                                        'name' => 't0001',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_report',
                                        'input' => array (
                                                'i_tws_ad_report' => 'show_current=false, general = [proc_info = [], proc_history = []], specific = [IWS_NEW_REQUEST_J700 = [], IWS_NEW_BASE_UPD_J700 = [], IWS_NEW_DVLP_UPD_J700 = [], IWS_NEW_QLTY_UPD_J700 = [], IWS_NEW_PPRO_UPD_J700 = [], IWS_NEW_PROD_UPD_J700 = [] ], addata_conf = [], addata_format = [adcom = "wai",adop = "wai"]'
                                        ),
                                        'output' => array ()
                                )
                        ),
                        'IWS_NEW_REQUEST_J700' => array (
                                array (
                                        'name' => 't0100',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0112',
                                        'type' => 'task',
                                        'module' => 'm_tws_get_oper_list',
                                        'input' => array (
                                                'i_file_list_cur' => 'list=[]',
                                                'i_tws_ad_appl_ins' => 'picker_adid=true, tws_target_system="source", tws_rules="ins_to_BASE.xml", tws_rules_ctrl="check.xml", tws_rules_chng="change.xml", tws_rules_oplist="oplist.xml", interrupt=false, savepoint=true , addata_edit = false, addata_conf = [], addata_format = [adcom = "wai",adop = "wai"] ',    // , picker_conf=[adcal="xxx_cal"]

                                        ),
                                        'output' => array (
                                                'i_file_list_cur' => '',
                                                'i_tws_ad_appl_ins' => '',
                                        ),
                                        'pass' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0115',
                                        'type' => 'task',
                                        'module' => 'm_tws_convert_file_list',
                                        'input' => array (
                                                'i_file_list_cur' => ''
                                        ),
                                        'output' => array (
                                                'i_jcl_approved_files' => ''
                                        ),
                                        'pass' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_ins' => '',
                                        )
                                ),
                                array (
                                        'name' => 't0140',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_jcl_approved_files' => '',
                                                'i_tws_ad_appl_ins' => '', 
                                                'i_tws_ad_appl_load' => 'show_current=true, empty_source=true, tws_update=false, cancel=false ', //, max_app_cnt="%(MAX_AD)." ',  // max_app_cnt=99 or "%(MAX_AD)." / hwm max_ad      
                                                'i_tws_ad_appl_sel_mod' => 'tws_target_system="copy", interrupt=true, parallel_mod=false  ',
                                                'i_tws_ad_appl_sel_del' => 'tws_target_system="source", interrupt=false',
                                                'i_tws_ad_appl_copy' => 'tws_target_system="all", tws_rules="PROD_to_BASE.xml", tws_rules_chng="change2.xml", tws_rules_ctrl="check.xml", create_mods=false, interrupt=true, savepoint=true, addata_edit = false, addata_conf = [], addata_format = [adcom = "wai",adop = "wai"] ', // ,picker_conf=[adcal="xxx_cal"],adgrpdef="xxx_grpdef"
                                                'i_tws_ad_copy_all_appl' => 'source_appl="orig", interrupt=false, savepoint=false',
                                                'i_tws_ad_appl_mod' => 'tws_rules_chng="change2.xml", tws_rules_ctrl="check.xml", interrupt=true, addata_edit = false, addata_conf = [], addata_format = [adcom = "wai",adop = "wai"] ',    // ,picker_conf=[adcal="xxx_cal"]
                                                'i_tws_ad_appl_del' => 'interrupt=false',
                                                'i_tws_ad_oper_load'=> 'silent=false',           // true to skip display oper list during StartCreateAD  
                                                'i_tws_msg' => 'msg="Press Button StartCreateAD or StartCopyAD or select an Application for other Actions. Finally click on Done",
                                                         msg_translate=false,
                                                         msg_type="notice",
                                                         msg_for_empty_list=true'
                                        ),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0150',
                                        'type' => 'task',
                                        'module' => 'm_tws_confirm',
                                        'input' => array (
                                                'i_goto' => 'cancel="t0140"',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg="Do you really want to finish?",
                                            msg_translate=false,
                                            msg_type="question"'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0160',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=true'
                                        ),
                                        'output' => array ()
                                )
                        ),

                        'IWS_NEW_BASE_UPD_J700' => array (
                                array (
                                        'name' => 't0210',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0220',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_load' => 'show_current=true, empty_source=true, all_updated=true, tws_update=true, cancel=false',
												'i_tws_ad_appl_tws_upd' => 'cancel=true, upd_overview=false',                    												
                                                'i_tws_ad_appl_sel_mod' => 'tws_target_system="source", interrupt=false',
                                                'i_tws_ad_appl_sel_del' => 'tws_target_system="source", interrupt=false',
                                                'i_tws_ad_appl_mod' => 'tws_rules_chng="change2.xml", tws_rules_ctrl="check.xml", interrupt=true, addata_edit = false, addata_conf = [], addata_format = [adcom = "wai",adop = "wai"] ',         // ,picker_conf=[adcal="xxx_cal"]
                                                'i_reject' => 'target = [[activity = "IWS_NEW_REQUEST_J700", task = "t0140", return_code="1", text = "Request Activity"]]',
                                                'i_tws_reject'=>'use_last_data=false',
                                                'i_tws_msg' => 'msg="Please review the applications and Update the target system. Maybe Modify or Reject.",
                                                         msg_translate=false,
                                                         msg_type="notice"'
                                        ),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0235',
                                        'type' => 'task',
                                        'module' => 'm_tws_confirm',
                                        'input' => array (
                                                'i_goto' => 'cancel="t0220"',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg="Do you really want to finish?",
                                            msg_translate=false,
                                            msg_type="question"'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0240',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=false'
                                        ),
                                        'output' => array ()
                                )
                        ),  // END NEW_BASE_UPD 

                        'IWS_NEW_DVLP_UPD_J700' => array (
                                array (
                                        'name' => 't0310',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0320',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_load' => 'all_updated=true,cancel=false',
												'i_tws_ad_appl_tws_upd' => 'cancel=true, upd_overview=false',                    																								
                                                'i_tws_ad_appl_sel_mod' => 'tws_target_system="source", cancel=true',
                                                'i_tws_ad_appl_sel_del' => 'tws_target_system="source", cancel=true',
                                                'i_tws_ad_appl_ins' => 'tws_target_system="source", interrupt=false, cancel=true, savepoint=true, addata_conf = [], addata_format = [adcom = "wai",adop = "wai"]',
                                                'i_tws_ad_appl_mod' => ' interrupt=true' . ', addata_conf = [], addata_format = [adcom = "wai",adop = "wai"]',
                                                'i_tws_ad_copy_all_appl' => 'tws_rules="BASE_to_DVLP.xml", interrupt=false, savepoint=false,   source_appl="orig" ', // same_adid_act="mod",  ?
                                                'i_reject' => 'target = [[activity = "IWS_NEW_REQUEST_J700",  task = "t0140", return_code="1", text = "Request Activity"], 
												                         [activity = "IWS_NEW_BASE_UPD_J700", task = "t0220", return_code="2", text = "BASE Update"]]',
                                                'i_tws_reject'=>'use_last_data=false',
                                                'i_tws_msg' => 'msg="Please press Copy-Source->Target and Update the target system.",
                                                        msg_translate=false,
                                                        msg_type="notice"'
                                        ),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0330',
                                        'type' => 'task',
                                        'module' => 'm_tws_confirm',
                                        'input' => array (
                                                'i_goto' => 'cancel="t0320"',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg="Do you really want to finish?",
                                            msg_translate=false,
                                            msg_type="question"'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0340',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=false'
                                        ),
                                        'output' => array ()
                                )
                        ), // END NEW_DVLP_UPD 						
						
                        'IWS_NEW_QLTY_UPD_J700' => array (
                                array (
                                        'name' => 't0410',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0420',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_load' => 'all_updated=true,cancel=false',
												'i_tws_ad_appl_tws_upd' => 'cancel=true, upd_overview=false',                    																								
                                                'i_tws_ad_appl_sel_mod' => 'tws_target_system="source", cancel=true',
                                                'i_tws_ad_appl_sel_del' => 'tws_target_system="source", cancel=true',
                                                'i_tws_ad_appl_ins' => 'tws_target_system="source", interrupt=false, cancel=true, savepoint=true' . ', addata_conf = [] , addata_format = [adcom = "wai",adop = "wai"]',
                                                'i_tws_ad_appl_mod' => ' interrupt=true' . ', addata_conf = [] , addata_format = [adcom = "wai",adop = "wai"]',
                                                'i_tws_ad_copy_all_appl' => 'tws_rules="BASE_to_QLTY.xml", interrupt=false, savepoint=false,    source_appl="orig" ',  //same_adid_act="mod", 
                                                'i_reject' => 'target = [[activity = "IWS_NEW_REQUEST_J700",  task = "t0140", return_code="1", text = "Request Activity"],
																		 [activity = "IWS_NEW_BASE_UPD_J700", task = "t0220", return_code="2", text = "BASE Update"], 																         
												                         [activity = "IWS_NEW_DVLP_UPD_J700", task = "t0320", return_code="3", text = "DVLP  Update"]]',
                                                'i_tws_reject'=>'use_last_data=false',
                                                'i_tws_msg' => 'msg="Please press Copy-Source->Target and Update the target system.",
                                                        msg_translate=false,
                                                        msg_type="notice"'
                                        ),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0430',
                                        'type' => 'task',
                                        'module' => 'm_tws_confirm',
                                        'input' => array (
                                                'i_goto' => 'cancel="t0420"',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg="Do you really want to finish?",
                                            msg_translate=false,
                                            msg_type="question"'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0440',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=false'
                                        ),
                                        'output' => array ()
                                )
                        ), // END NEW_QLTY_UPD 
                        
                        'IWS_NEW_PPRO_UPD_J700' => array (
                                array (
                                        'name' => 't0510',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0520',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_load' => 'all_updated=true,cancel=false',
												'i_tws_ad_appl_tws_upd' => 'cancel=true, upd_overview=false',                    																								
                                                'i_tws_ad_appl_sel_mod' => 'tws_target_system="source", cancel=true',
                                                'i_tws_ad_appl_sel_del' => 'tws_target_system="source", cancel=true',
                                                'i_tws_ad_appl_ins' => 'tws_target_system="source", interrupt=false, cancel=true, savepoint=true' . ', addata_conf = [] , addata_format = [adcom = "wai",adop = "wai"]',
                                                'i_tws_ad_appl_mod' => ' interrupt=true' . ', addata_conf = [] , addata_format = [adcom = "wai",adop = "wai"]',
                                                'i_tws_ad_copy_all_appl' => 'tws_rules="BASE_to_PPRO.xml", interrupt=false, savepoint=false,    source_appl="orig" ',  //same_adid_act="mod", 
                                                'i_reject' => 'target = [[activity = "IWS_NEW_REQUEST_J700",  task = "t0140", return_code="1", text = "Request Activity"],
																		 [activity = "IWS_NEW_BASE_UPD_J700", task = "t0220", return_code="2", text = "BASE Update"],
                                                                         [activity = "IWS_NEW_DVLP_UPD_J700", task = "t0320", return_code="3", text = "DVLP Update"],
												                         [activity = "IWS_NEW_QLTY_UPD_J700", task = "t0420", return_code="4", text = "QLTY Update"]]',
                                                'i_tws_reject'=>'use_last_data=false',
                                                'i_tws_msg' => 'msg="Please press Copy-Source->Target and Update the target system.",
                                                        msg_translate=false,
                                                        msg_type="notice"'
                                        ),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0530',
                                        'type' => 'task',
                                        'module' => 'm_tws_confirm',
                                        'input' => array (
                                                'i_goto' => 'cancel="t0520"',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg="Do you really want to finish?",
                                            msg_translate=false,
                                            msg_type="question"'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0540',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=false'
                                        ),
                                        'output' => array ()
                                )
                        ), // END NEW_PPRO_UPD 

						'IWS_NEW_PROD_DATE_J700' => array (
							array (
								'name'   => 't0100',
								'type'   => 'task',
								'module' => 'm_jcl_start'
							),

							array (
								'name'   => 't0200',
								'type'   => 'task',
								'module' => 'm_environment_load',
								'output' => array (
									'i_environment' => ''
								)
							),
									
							array (
								'name'   => 't0350',
								'type'   => 'task',
								'module' => 'm_savepoint',
								'input'  => array (
									'i_goto' => 'error=""'
								),
								'pass' => array(
									'i_environment' => '',
								),
							),
										
							array (
								'name'   => 't0400',
								'type'   => 'task',
								'module' => 'm_hwm',
								'input'  => array (
									'i_hwm' =>
										'configuration=['
										.'script="hwm_ticket_call.php",'
										.'config="iws_prod_date_config.php"]',
									'i_environment'  => ''
								)
							),
							
							array (
                                'name'   => 't0450',
                                'type'   => 'task',
                                'module' => 'm_tws_reject_hwm',
                                'input'  => array (
                                    'i_reject' => 'target = [[activity = "IWS_NEW_REQUEST_J700",  task = "t0140", return_code="1", text = "Request Activity"],
															 [activity = "IWS_NEW_BASE_UPD_J700", task = "t0220", return_code="2", text = "BASE Update"],
        							                         [activity = "IWS_NEW_DVLP_UPD_J700", task = "t0320", return_code="3", text = "DVLP Update"],
                                                             [activity = "IWS_NEW_QLTY_UPD_J700", task = "t0420", return_code="4", text = "QLTY Update"],
									                         [activity = "IWS_NEW_PPRO_UPD_J700", task = "t0520", return_code="5", text = "PPRO Update"]]',															 
                                    'i_tws_reject'=>'use_last_data=false',
                                )
                            ),						
									
							array (
								'name'   => 't0490',
								'type'   => 'task',
								'module' => 'm_finish',
								'input'  => array (
									'i_goto' => 'error="t0400"'
								)
							)
						), // END NEW_PROD_DATE  
												
                        'IWS_NEW_PROD_UPD_J700' => array (
                                array (
                                        'name' => 't0610',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0620',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_load' => 'all_updated=true,cancel=false',
												'i_tws_ad_appl_tws_upd' => 'cancel=true, upd_overview=false',                    																								
                                                'i_tws_ad_appl_sel_mod' => 'tws_target_system="source", cancel=true',
                                                'i_tws_ad_appl_sel_del' => 'tws_target_system="source", cancel=true',
                                                'i_tws_ad_appl_ins' => 'tws_target_system="source", interrupt=false, cancel=true, savepoint=true' . ', addata_conf = []',
                                                'i_tws_ad_appl_mod' => ' interrupt=true' . ', addata_conf = []',
                                                'i_tws_ad_copy_all_appl' => 'tws_rules="BASE_to_PROD.xml", interrupt=false, savepoint=false, same_adid_act="mod", same_adid_fields=["adstat","adto"], source_appl="orig" ',
                                                'i_reject' => 'target = [[activity = "IWS_NEW_REQUEST_J700",   task = "t0140", return_code="1", text = "Request Activity"],
                                                                         [activity = "IWS_NEW_BASE_UPD_J700",  task = "t0220", return_code="2", text = "BASE Update"],
                                                                         [activity = "IWS_NEW_DVLP_UPD_J700",  task = "t0320", return_code="3", text = "DVLP Update"],
                                                                         [activity = "IWS_NEW_QLTY_UPD_J700",  task = "t0420", return_code="4", text = "QLTY Update"],
                                                                         [activity = "IWS_NEW_PPRO_UPD_J700",  task = "t0520", return_code="5", text = "PPRO Update"],
                                                                         [activity = "IWS_NEW_PROD_DATE_J700", task = "t0450", return_code="6", text = "PROD Date"]]', 
																		/* [activity = "IWS_NEW_PROD_CNF",  task = "t0601", return_code="7", text = "PROD Confirm"]]', */
                                                'i_tws_reject'=>'use_last_data=false',
                                                'i_tws_msg' => 'msg="Please press Copy-Source->Target and Update the target system.",
                                                        msg_translate=false,
                                                        msg_type="notice"'
                                        ),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0630',
                                        'type' => 'task',
                                        'module' => 'm_tws_confirm',
                                        'input' => array (
                                                'i_goto' => 'cancel="t0620"',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg="Do you really want to finish?",
                                            msg_translate=false,
                                            msg_type="question"'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0640',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=false'
                                        ),
                                        'output' => array ()
                                )
                        )   // END NEW_PROD_UPD 
                )   // activity array 
        ),  // end IWS_NEW  

        // ----------------------------------------------------------------------------------------------
        // IWS_CHG - process to change/modify IWS applications 
        // ----------------------------------------------------------------------------------------------
        //
        'IWS_CHG_J700' => array (
                'activity' => array (
                        'IWS_REPORT' => array (
                                array (
                                        'name' => 't0001',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_report',
                                        'input' => array (
                                                'i_tws_ad_report' => 'show_current=false, general = [proc_info = [], proc_history = []], specific = [IWS_CHG_REQUEST_J700 = [], IWS_NEW_BASE_UPD_J700 = [], IWS_CHG_DVLP_UPD_J700 = [], IWS_CHG_QLTY_UPD_J700 = [], IWS_CHG_PPRO_UPD_J700 = [], IWS_CHG_PROD_UPD_J700 = [] ], addata_conf = [], addata_format = [adcom = "wai",adop = "wai"]'
                                        ),
                                        'output' => array ()
                                )
                        ),
                        'IWS_CHG_REQUEST_J700' => array (
                                array (
                                        'name' => 't0100',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
								
                                array (
                                        'name' => 't0140',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_load' => 'show_current=true, empty_source=true, tws_update=false, cancel=false, max_app_cnt="99" ',
                                                'i_tws_ad_appl_sel_mod' => 'tws_target_system="copy", interrupt=true, parallel_mod=true', // maybe limit="1" ',
                                                'i_tws_ad_appl_sel_del' => 'tws_target_system="target", interrupt=false',
                                                'i_tws_ad_appl_copy' => 'tws_target_system="all", tws_rules="PRODchg_to_BASE.xml", tws_rules_ctrl="check.xml", interrupt=true, savepoint=true, addata_format = [adcom = "wai",adop = "wai"] ',   // ,picker_conf=[adcal="xxx_cal"],adgrpdef="xxx_grpdef"
                                                'i_tws_ad_copy_all_appl' => 'same_adid_act="mod",   source_appl="orig", interrupt=false, savepoint=false, tws_rules="PRODchg_to_BASE.xml", max_app_cnt="99" ',
                                                'i_tws_ad_appl_mod' => 'tws_rules_chng="change2.xml", tws_rules_ctrl="check.xml", interrupt=true, addata_edit = false, addata_conf = [], addata_format = [adcom = "wai",adop = "wai"] ',    // ,picker_conf=[adcal="xxx_cal"]
                                                'i_tws_ad_appl_del' => 'interrupt=false',
                                                'i_tws_msg' => 'msg="Press Button Select/copy to get applications from Production to Baseline and then modify it. Finally click on Done",
                                                         msg_translate=false,   
                                                         msg_type="notice",
                                                         msg_for_empty_list=true'
                                        ),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0150',
                                        'type' => 'task',
                                        'module' => 'm_tws_confirm',
                                        'input' => array (
                                                'i_goto' => 'cancel="t0140"',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg="Do you really want to finish?",
                                            msg_translate=false,
                                            msg_type="question"'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0160',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=true'
                                        ),
                                        'output' => array ()
                                )
                        ),

                        'IWS_CHG_BASE_UPD_J700' => array (
                                array (
                                        'name' => 't0210',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0220',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_load' => 'show_current=true, empty_source=true, all_updated=true, tws_update=true, cancel=false',
												'i_tws_ad_appl_tws_upd' => 'cancel=true, upd_overview=false',                    												
                                                'i_tws_ad_appl_sel_mod' => 'tws_target_system="source", interrupt=false',
                                                'i_tws_ad_appl_sel_del' => 'tws_target_system="source", interrupt=false',
                                                'i_tws_ad_appl_mod' => 'tws_rules_chng="change2.xml",  interrupt=true, addata_edit = false ,addata_conf = [], addata_format = [adcom = "wai",adop = "wai"] ',  // ,picker_conf=[adcal="xxx_cal"]
                                                'i_reject' => 'target = [[activity = "IWS_CHG_REQUEST_J700", task = "t0140", return_code="1", text = "Request Activity"]]',
                                                'i_tws_reject'=>'use_last_data=false',
                                                'i_tws_msg' => 'msg="Please review the applications and Update the target system. Maybe Modify or Reject.",
                                                         msg_translate=false,
                                                         msg_type="notice"'
                                        ),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0235',
                                        'type' => 'task',
                                        'module' => 'm_tws_confirm',
                                        'input' => array (
                                                'i_goto' => 'cancel="t0220"',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg="Do you really want to finish?",
                                            msg_translate=false,
                                            msg_type="question"'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0240',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=false'
                                        ),
                                        'output' => array ()
                                )
                        ),  // END BASE_CHG_UPD 

                        'IWS_CHG_DVLP_UPD_J700' => array (
                                array (
                                        'name' => 't0310',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0320',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_load' => 'all_updated=true,cancel=false',
												'i_tws_ad_appl_tws_upd' => 'cancel=true, upd_overview=false',
                                                'i_tws_ad_appl_sel_mod' => 'tws_target_system="source", cancel=true',
                                                'i_tws_ad_appl_sel_del' => 'tws_target_system="source", cancel=true',
                                                'i_tws_ad_appl_ins' => 'tws_target_system="source", interrupt=false, cancel=true, savepoint=true' . ', addata_conf = [], addata_format = [adcom = "wai",adop = "wai"]',
                                                'i_tws_ad_appl_mod' => ' interrupt=true' . ', addata_conf = [], addata_format = [adcom = "wai",adop = "wai"]',
                                                'i_tws_ad_copy_all_appl' => 'tws_rules="BASE_to_DVLP.xml", interrupt=false, savepoint=false, same_adid_act="mod", source_appl="orig" ',
                                                'i_reject' => 'target = [[activity = "IWS_CHG_REQUEST_J700",  task = "t0140", return_code="1", text = "Request Activity"], 
												                         [activity = "IWS_CHG_BASE_UPD_J700", task = "t0220", return_code="2", text = "BASE Update"]]',
                                                'i_tws_reject'=>'use_last_data=false',
                                                'i_tws_msg' => 'msg="Please press Copy-Source->Target and Update the target system.",
                                                        msg_translate=false,
                                                        msg_type="notice"'
                                        ),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0330',
                                        'type' => 'task',
                                        'module' => 'm_tws_confirm',
                                        'input' => array (
                                                'i_goto' => 'cancel="t0320"',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg="Do you really want to finish?",
                                            msg_translate=false,
                                            msg_type="question"'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0340',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=false'
                                        ),
                                        'output' => array ()
                                )
                        ), // END DVLP_CHG_UPD

                        'IWS_CHG_QLTY_UPD_J700' => array (
                                array (
                                        'name' => 't0410',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0420',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_load' => 'all_updated=true,cancel=false',
												'i_tws_ad_appl_tws_upd' => 'cancel=true, upd_overview=false',
                                                'i_tws_ad_appl_sel_mod' => 'tws_target_system="source", cancel=true',
                                                'i_tws_ad_appl_sel_del' => 'tws_target_system="source", cancel=true',
                                                'i_tws_ad_appl_ins' => 'tws_target_system="source", interrupt=false, cancel=true, savepoint=true' . ', addata_conf = [], addata_format = [adcom = "wai",adop = "wai"]',
                                                'i_tws_ad_appl_mod' => 'interrupt=true' . ', addata_conf = [], addata_format = [adcom = "wai",adop = "wai"]',
                                                'i_tws_ad_copy_all_appl' => 'tws_rules="BASE_to_QLTY.xml", interrupt=false, savepoint=false, same_adid_act="mod", source_appl="orig" ',
												'i_reject' => 'target = [[activity = "IWS_CHG_REQUEST_J700",  task = "t0140", return_code="1", text = "Request Activity"],
																		 [activity = "IWS_CHG_BASE_UPD_J700", task = "t0220", return_code="2", text = "BASE Update"],
																		 [activity = "IWS_CHG_DVLP_UPD_J700", task = "t0320", return_code="3", text = "DVLP Update"]]',
                                                'i_tws_reject'=>'use_last_data=false',
                                                'i_tws_msg' => 'msg="Please press Copy-Source->Target and Update the target system.",
                                                        msg_translate=false,
                                                        msg_type="notice"'
                                        ),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0430',
                                        'type' => 'task',
                                        'module' => 'm_tws_confirm',
                                        'input' => array (
                                                'i_goto' => 'cancel="t0420"',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg="Do you really want to finish?",
                                            msg_translate=false,
                                            msg_type="question"'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0440',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=false'
                                        ),
                                        'output' => array ()
                                )
                        ), // END QLTY_CHG_UPD
                        
                        'IWS_CHG_PPRO_UPD_J700' => array (
                                array (
                                        'name' => 't0510',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0520',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_load' => 'all_updated=true,cancel=false',
												'i_tws_ad_appl_tws_upd' => 'cancel=true, upd_overview=false',
                                                'i_tws_ad_appl_sel_mod' => 'tws_target_system="source", cancel=true',
                                                'i_tws_ad_appl_sel_del' => 'tws_target_system="source", cancel=true',
                                                'i_tws_ad_appl_ins' => 'tws_target_system="source", interrupt=false, cancel=true, savepoint=true' . ', addata_conf = [], addata_format = [adcom = "wai",adop = "wai"]',
                                                'i_tws_ad_appl_mod' => ' interrupt=true' . ', addata_conf = [], addata_format = [adcom = "wai",adop = "wai"]',
                                                'i_tws_ad_copy_all_appl' => 'tws_rules="BASE_to_PPRO.xml", interrupt=false, savepoint=false, same_adid_act="mod", source_appl="orig" ',
												'i_reject' => 'target = [[activity = "IWS_CHG_REQUEST_J700",  task = "t0140", return_code="1", text = "Request Activity"],
																		 [activity = "IWS_CHG_BASE_UPD_J700", task = "t0220", return_code="2", text = "BASE Update"],
																		 [activity = "IWS_CHG_DVLP_UPD_J700", task = "t0320", return_code="3", text = "DVLP Update"],
																		 [activity = "IWS_CHG_QLTY_UPD_J700", task = "t0420", return_code="4", text = "QLTY Update"]]',
                                                'i_tws_reject'=>'use_last_data=false',
                                                'i_tws_msg' => 'msg="Please press Copy-Source->Target and Update the target system.",
                                                        msg_translate=false,
                                                        msg_type="notice"'
                                        ),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0530',
                                        'type' => 'task',
                                        'module' => 'm_tws_confirm',
                                        'input' => array (
                                                'i_goto' => 'cancel="t0520"',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg="Do you really want to finish?",
                                            msg_translate=false,
                                            msg_type="question"'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0540',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=false'
                                        ),
                                        'output' => array ()
                                )
                        ), // END QLTY_CHG_UPD 

						'IWS_CHG_PROD_DATE_J700' => array (
							array (
								'name'   => 't0600', //100
								'type'   => 'task',
								'module' => 'm_jcl_start'
							),

							array (
								'name'   => 't0605', //200
								'type'   => 'task',
								'module' => 'm_environment_load',
								'output' => array (
									'i_environment' => ''
								)
							),
									
							array (
								'name'   => 't0610', //350
								'type'   => 'task',
								'module' => 'm_savepoint',
								'input'  => array (
									'i_goto' => 'error=""'
								),
								'pass' => array(
									'i_environment' => '',
								),
							),
										
							array (
								'name'   => 't0615', //400
								'type'   => 'task',
								'module' => 'm_hwm',
								'input'  => array (
									'i_hwm' =>
										'configuration=['
										.'script="hwm_ticket_call.php",'
										.'config="iws_prod_date_config.php"]',
									'i_environment'  => ''
								)
							),
							
							array (
                                'name'   => 't0620', //450
                                'type'   => 'task',
                                'module' => 'm_tws_reject_hwm',
                                'input'  => array (
                                    'i_reject' => 'target = [[activity = "IWS_CHG_REQUEST_J700", task = "t0140", return_code="1", text = "Request Activity"],
															 [activity = "IWS_CHG_BASE_UPD_J700", task = "t0220", return_code="2", text = "BASE Update"], 
        							                         [activity = "IWS_CHG_DVLP_UPD_J700", task = "t0320", return_code="3", text = "DVLP Update"],
									                         [activity = "IWS_CHG_QLTY_UPD_J700", task = "t0420", return_code="4", text = "QLTY Update"],															 
															 [activity = "IWS_CHG_PPRO_UPD_J700", task = "t0520", return_code="5", text = "PPRO Update"]]',														 
                                    'i_tws_reject'=>'use_last_data=false',
                                )
                            ),						
									
							array (
								'name'   => 't0625', //490
								'type'   => 'task',
								'module' => 'm_finish',
								'input'  => array (
									'i_goto' => 'error="t0615"'
								)
							)
						), // END CHG_PROD_DATE  
						
                        'IWS_CHG_PROD_UPD_J700' => array (
                                array (
                                        'name' => 't0710',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0720',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_load' => 'all_updated=true,cancel=false',
												'i_tws_ad_appl_tws_upd' => 'cancel=true, upd_overview=false',                    																								
                                                'i_tws_ad_appl_sel_mod' => 'tws_target_system="source", cancel=true',
                                                'i_tws_ad_appl_sel_del' => 'tws_target_system="source", cancel=true',
                                                'i_tws_ad_appl_ins' => 'tws_target_system="source", interrupt=false, cancel=true, savepoint=true' . ', addata_conf = []',
                                                'i_tws_ad_appl_mod' => ' interrupt=true' . ', addata_conf = []',
                                                'i_tws_ad_copy_all_appl' => 'tws_rules="BASE_to_PROD.xml", interrupt=false, savepoint=false, same_adid_act="mod", same_adid_fields=["adstat","adto"], source_appl="orig" ',
                                                'i_reject' => 'target = [[activity = "IWS_CHG_REQUEST_J700",   task = "t0140", return_code="1", text = "Request Activity"],
                                                                         [activity = "IWS_CHG_BASE_UPD_J700",  task = "t0220", return_code="2", text = "BASE Update"],
                                                                         [activity = "IWS_CHG_DVLP_UPD_J700",  task = "t0320", return_code="3", text = "DVLP Update"],
                                                                         [activity = "IWS_CHG_QLTY_UPD_J700",  task = "t0420", return_code="4", text = "QLTY Update"],
                                                                         [activity = "IWS_CHG_PPRO_UPD_J700",  task = "t0520", return_code="5", text = "PPRO Update"], 
																		 [activity = "IWS_CHG_PROD_DATE_J700", task = "t0620", return_code="6", text = "PROD Date"]]', 
                                                'i_tws_reject'=>'use_last_data=false',
                                                'i_tws_msg' => 'msg="Please press Copy-Source->Target and Update the target system.",
                                                        msg_translate=false,
                                                        msg_type="notice"'
                                        ),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0730',
                                        'type' => 'task',
                                        'module' => 'm_tws_confirm',
                                        'input' => array (
                                                'i_goto' => 'cancel="t0720"',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg="Do you really want to finish?",
                                            msg_translate=false,
                                            msg_type="question"'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0740',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=false'
                                        ),
                                        'output' => array ()
                                )
                        )   // END PROD_CHG_UPD  
                )   // activity array 
        ),  // end IWS_CHG  


        // ----------------------------------------------------------------------------------------------
        // IWS_DEL_J700 - process to delete IWS applications in all stages 
        // ----------------------------------------------------------------------------------------------
        //
        'IWS_DEL_J700' => array (
                'activity' => array (
                        'IWS_REPORT' => array (
                                array (
                                        'name' => 't0001',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_report',
                                        'input' => array (
                                                'i_tws_ad_report' => 'show_current=false, general = [proc_info = [], proc_history = []], specific = [IWS_DEL_REQUEST_J700 = [], IWS_DEL_BASE_UPD_J700 = [], IWS_DEL_DVLP_UPD_J700 = [], IWS_DEL_QLTY_UPD_J700 = [], IWS_DEL_QLTY_UPD_J700 = [], IWS_DEL_PROD_UPD = [] ], addata_conf = [], addata_format = [adcom = "wai",adop = "wai"]'
                                        ),
                                        'output' => array ()
                                )
                        ),
                        'IWS_DEL_REQUEST_J700' => array (
                                array (
                                        'name' => 't0100',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
								
                                array (
                                        'name' => 't0140',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_load' => 'show_current=true, empty_source=true, tws_update=false, cancel=false, max_app_cnt="99"', // "%(MAX_AD)." ',  // max_app_cnt=99 or hwm max_ad      
                                                'i_tws_ad_appl_sel_mod' => 'tws_target_system="copy", interrupt=true, parallel_mod=false',
                                                'i_tws_ad_appl_sel_del' => 'tws_target_system="delete", interrupt=false, parallel_mod=false',
                                                'i_tws_ad_appl_copy' => 'tws_target_system="all", tws_rules="PROD_to_BASE.xml", tws_rules_ctrl="check.xml", interrupt=true, savepoint=true, addata_edit = false, addata_conf = [] ',    // ,picker_conf=[adcal="xxx_cal"],adgrpdef="xxx_grpdef"
                                                'i_tws_ad_copy_all_appl' => 'source_appl="orig", interrupt=false, savepoint=false, tws_rules="PROD_to_BASE.xml",  max_app_cnt="10", same_adid_act="del"  ',
                                                'i_tws_ad_appl_mod' => 'tws_rules_chng="change2.xml", tws_rules_ctrl="check.xml", interrupt=true, addata_edit = false, addata_conf = [], addata_format = [adcom = "wai",adop = "wai"] ',    // ,picker_conf=[adcal="xxx_cal"]
                                                'i_tws_ad_appl_del' => 'interrupt=false, tws_target_system="source", tws_target_search_fields=["adstat","adto","adfrom","adtype"] ',      
                                                'i_tws_msg' => 'msg="Press Button StartDelete to get applications from Production to Baseline for delete actions. Finally click on Done",
                                                         msg_translate=false,   
                                                         msg_type="notice",
                                                         msg_for_empty_list=true'
                                        ),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0150',
                                        'type' => 'task',
                                        'module' => 'm_tws_confirm',
                                        'input' => array (
                                                'i_goto' => 'cancel="t0140"',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg="Do you really want to finish?",
                                            msg_translate=false,
                                            msg_type="question"'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0160',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=true'
                                        ),
                                        'output' => array ()
                                )
                        ),

                        'IWS_DEL_BASE_UPD_J700' => array (
                                array (
                                        'name' => 't0210',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0220',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_load' => 'show_current=true, empty_source=true, all_updated=true, tws_update=true, cancel=false',
												'i_tws_ad_appl_tws_upd' => 'cancel=true, upd_overview=false',                    												
                                                'i_tws_ad_appl_sel_mod' => 'tws_target_system="source", interrupt=false',
                                                'i_tws_ad_appl_sel_del' => 'tws_target_system="source", interrupt=false',
                                                'i_tws_ad_appl_mod' => 'tws_rules_chng="change2.xml",  interrupt=true, addata_edit = true ,addata_conf = [], addata_format = [adcom = "wai",adop = "wai"] ', // ,picker_conf=[adcal="xx_cal"]
                                                'i_reject' => 'target = [[activity = "IWS_DEL_REQUEST_J700", task = "t0140", return_code="1", text = "Request Activity"]]',
                                                'i_tws_reject'=>'use_last_data=false',
                                                'i_tws_msg' => 'msg="Please review the applications and Update the target system. Maybe Modify or Reject.",
                                                         msg_translate=false,
                                                         msg_type="notice"'
                                        ),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0235',
                                        'type' => 'task',
                                        'module' => 'm_tws_confirm',
                                        'input' => array (
                                                'i_goto' => 'cancel="t0220"',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg="Do you really want to finish?",
                                            msg_translate=false,
                                            msg_type="question"'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0240',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=false'
                                        ),
                                        'output' => array ()
                                )
                        ),  // END BASE_DEL_UPD

                        'IWS_DEL_DVLP_UPD_J700' => array (
                                array (
                                        'name' => 't0310',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0320',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_load' => 'all_updated=true,cancel=false',
												'i_tws_ad_appl_tws_upd' => 'cancel=true, upd_overview=false',                    																								
                                                'i_tws_ad_appl_sel_mod' => 'tws_target_system="source", cancel=true',
                                                'i_tws_ad_appl_sel_del' => 'tws_target_system="source", cancel=true',
                                                'i_tws_ad_appl_ins' => 'tws_target_system="source", interrupt=false, cancel=true, savepoint=true' . ', addata_conf = [], addata_format = [adcom = "wai",adop = "wai"]',
                                                'i_tws_ad_appl_mod' => ' interrupt=true' . ', addata_conf = [], addata_format = [adcom = "wai",adop = "wai"]',
                                                'i_tws_ad_copy_all_appl' => 'tws_rules="BASE_to_DVLP.xml", interrupt=false, savepoint=false, same_adid_act="del", same_adid_fields=["adstat","adto"], source_appl="orig" ',			
                                                'i_reject' => 'target = [[activity = "IWS_DEL_REQUEST_J700",  task = "t0140", return_code="1", text = "Request Activity"],
																		 [activity = "IWS_DEL_BASE_UPD_J700", task = "t0220", return_code="2", text = "BASE Update"]]',	
                                                'i_tws_reject'=>'use_last_data=false',
                                                'i_tws_msg' => 'msg="Please press Copy-Source->Target and Update the target system.",
                                                        msg_translate=false,
                                                        msg_type="notice"'
                                        ),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0330',
                                        'type' => 'task',
                                        'module' => 'm_tws_confirm',
                                        'input' => array (
                                                'i_goto' => 'cancel="t0320"',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg="Do you really want to finish?",
                                            msg_translate=false,
                                            msg_type="question"'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0340',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=false'
                                        ),
                                        'output' => array ()
                                )
                        ), // END DVLP_DEL_UPD  
						
                        'IWS_DEL_QLTY_UPD_J700' => array (
                                array (
                                        'name' => 't0410',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0420',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_load' => 'all_updated=true,cancel=false',
												'i_tws_ad_appl_tws_upd' => 'cancel=true, upd_overview=false',                    																								
                                                'i_tws_ad_appl_sel_mod' => 'tws_target_system="source", cancel=true',
                                                'i_tws_ad_appl_sel_del' => 'tws_target_system="source", cancel=true',
                                                'i_tws_ad_appl_ins' => 'tws_target_system="source", interrupt=false, cancel=true, savepoint=true' . ', addata_conf = [], addata_format = [adcom = "wai",adop = "wai"]',
                                                'i_tws_ad_appl_mod' => ' interrupt=true' . ', addata_conf = [], addata_format = [adcom = "wai",adop = "wai"]',
                                                'i_tws_ad_copy_all_appl' => 'tws_rules="BASE_to_QLTY.xml", interrupt=false, savepoint=false, same_adid_act="del", same_adid_fields=["adstat","adto"], source_appl="orig" ',
												'i_reject' => 'target = [[activity = "IWS_DEL_REQUEST_J700",  task = "t0140", return_code="1", text = "Request Activity"],
																		 [activity = "IWS_DEL_BASE_UPD_J700", task = "t0220", return_code="2", text = "BASE Update"],
                                                                         [activity = "IWS_DEL_DVLP_UPD_J700", task = "t0320", return_code="3", text = "DVLP Update"]]',																 																														 
                                                'i_tws_reject'=>'use_last_data=false',
                                                'i_tws_msg' => 'msg="Please press Copy-Source->Target and Update the target system.",
                                                        msg_translate=false,
                                                        msg_type="notice"'
                                        ),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0430',
                                        'type' => 'task',
                                        'module' => 'm_tws_confirm',
                                        'input' => array (
                                                'i_goto' => 'cancel="t0420"',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg="Do you really want to finish?",
                                            msg_translate=false,
                                            msg_type="question"'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0440',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=false'
                                        ),
                                        'output' => array ()
                                )
                        ), // END QLTY_DEL_UPD  
 
                        'IWS_DEL_PPRO_UPD_J700' => array (
                                array (
                                        'name' => 't0510',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0520',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_load' => 'all_updated=true,cancel=false',
												'i_tws_ad_appl_tws_upd' => 'cancel=true, upd_overview=false',                    																								
                                                'i_tws_ad_appl_sel_mod' => 'tws_target_system="source", cancel=true',
                                                'i_tws_ad_appl_sel_del' => 'tws_target_system="source", cancel=true',
                                                'i_tws_ad_appl_ins' => 'tws_target_system="source", interrupt=false, cancel=true, savepoint=true' . ', addata_conf = [], addata_format = [adcom = "wai",adop = "wai"]',
                                                'i_tws_ad_appl_mod' => ' interrupt=true' . ', addata_conf = [], addata_format = [adcom = "wai",adop = "wai"]',
                                                'i_tws_ad_copy_all_appl' => 'tws_rules="BASE_to_PPRO.xml", interrupt=false, savepoint=false, same_adid_act="del", same_adid_fields=["adstat","adto"], source_appl="orig" ',
												'i_reject' => 'target = [[activity = "IWS_DEL_REQUEST_J700", task = "t0140", return_code="1", text = "Request Activity"],
																		 [activity = "IWS_DEL_BASE_UPD_J700", task = "t0220", return_code="2", text = "BASE Update"],
																		 [activity = "IWS_DEL_DVLP_UPD_J700", task = "t0320", return_code="3", text = "DVLP Update"], 
                                                                         [activity = "IWS_DEL_QLTY_UPD_J700", task = "t0420", return_code="4", text = "QLTY Update"]]',																 																														 
                                                'i_tws_reject'=>'use_last_data=false',
                                                'i_tws_msg' => 'msg="Please press Copy-Source->Target and Update the target system.",
                                                        msg_translate=false,
                                                        msg_type="notice"'
                                        ),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0530',
                                        'type' => 'task',
                                        'module' => 'm_tws_confirm',
                                        'input' => array (
                                                'i_goto' => 'cancel="t0520"',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg="Do you really want to finish?",
                                            msg_translate=false,
                                            msg_type="question"'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0540',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=false'
                                        ),
                                        'output' => array ()
                                )
                        ), // END PPRO_DEL_UPD  
                        
						'IWS_DEL_PROD_DATE_J700' => array (
							array (
								'name'   => 't0100',
								'type'   => 'task',
								'module' => 'm_jcl_start'
							),

							array (
								'name'   => 't0200',
								'type'   => 'task',
								'module' => 'm_environment_load',
								'output' => array (
									'i_environment' => ''
								)
							),
									
							array (
								'name'   => 't0350',
								'type'   => 'task',
								'module' => 'm_savepoint',
								'input'  => array (
									'i_goto' => 'error=""'
								),
								'pass' => array(
									'i_environment' => '',
								),
							),
										
							array (
								'name'   => 't0400',
								'type'   => 'task',
								'module' => 'm_hwm',
								'input'  => array (
									'i_hwm' =>
										'configuration=['
										.'script="hwm_ticket_call.php",'
										.'config="iws_prod_date_config.php"]',
									'i_environment'  => ''
								)
							),
							
							array (
                                'name'   => 't0450',
                                'type'   => 'task',
                                'module' => 'm_tws_reject_hwm',
                                'input'  => array (
									'i_reject' => 'target = [[activity = "IWS_DEL_REQUEST_J700",  task = "t0140", return_code="1", text = "Request Activity"],
                                                             [activity = "IWS_DEL_BASE_UPD_J700", task = "t0220", return_code="2", text = "BASE Update"],
															 [activity = "IWS_DEL_DVLP_UPD_J700", task = "t0320", return_code="3", text = "DVLP Update"], 
															 [activity = "IWS_DEL_QLTY_UPD_J700", task = "t0420", return_code="4", text = "QLTY Update"], 
                                                             [activity = "IWS_DEL_PPRO_UPD_J700", task = "t0520", return_code="5", text = "PPRO Update"]]',
                                    'i_tws_reject'=>'use_last_data=false',
                                )
                            ),						
									
							array (
								'name'   => 't0490',
								'type'   => 'task',
								'module' => 'm_finish',
								'input'  => array (
									'i_goto' => 'error="t0400"'
								)
							)
						), // END PROD_DEL_DATE  
						
						
                        'IWS_DEL_PROD_UPD_J700' => array (
                                array (
                                        'name' => 't0610',
                                        'type' => 'task',
                                        'module' => 'm_tws_environment',
                                        'input' => array (
                                                'i_goto' => 'error=""'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0620',
                                        'type' => 'task',
                                        'module' => 'm_tws_ad_appl_load',
                                        'input' => array (
                                                'i_environment' => '',
                                                'i_tws_ad_appl_load' => 'all_updated=true,cancel=false',
												'i_tws_ad_appl_tws_upd' => 'cancel=true, upd_overview=false',                    																								
                                                'i_tws_ad_appl_sel_mod' => 'tws_target_system="source", cancel=true',
                                                'i_tws_ad_appl_sel_del' => 'tws_target_system="source", cancel=true',
                                                'i_tws_ad_appl_ins' => 'tws_target_system="source", interrupt=false, cancel=true, savepoint=true' . ', addata_conf = []',
                                                'i_tws_ad_appl_mod' => ' interrupt=true' . ', addata_conf = []',
                                                'i_tws_ad_copy_all_appl' => 'tws_rules="BASE_to_PROD.xml", interrupt=false, savepoint=false, same_adid_act="mod", same_adid_fields=["adstat","adto"], source_appl="orig" ',
                                                'i_reject' => 'target = [[activity = "IWS_DEL_REQUEST_J700",   task = "t0140", return_code="1", text = "Request Activity"],
                                                                         [activity = "IWS_DEL_BASE_UPD_J700",  task = "t0220", return_code="2", text = "BASE Update"],
                                                                         [activity = "IWS_DEL_DVLP_UPD_J700",  task = "t0320", return_code="3", text = "DVLP Update"],
                                                                         [activity = "IWS_DEL_QLTY_UPD_J700",  task = "t0420", return_code="4", text = "QLTY Update"],
                                                                         [activity = "IWS_DEL_PPRO_UPD_J700",  task = "t0520", return_code="5", text = "PPRO Update"],
                                                                         [activity = "IWS_DEL_PROD_DATE_J700", task = "t0450", return_code="6", text = "PROD Date"]]',
                                                'i_tws_reject'=>'use_last_data=false',
                                                'i_tws_msg' => 'msg="Please press Copy-Source->Target and Update the target system.",
                                                        msg_translate=false,
                                                        msg_type="notice"'
                                        ),
                                        'output' => array (
                                                'i_goto' => '',
                                                'i_environment' => '',
                                                'i_tws_ad_selection' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0630',
                                        'type' => 'task',
                                        'module' => 'm_tws_confirm',
                                        'input' => array (
                                                'i_goto' => 'cancel="t0620"',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg="Do you really want to finish?",
                                            msg_translate=false,
                                            msg_type="question"'
                                        ),
                                        'output' => array (
                                                'i_environment' => ''
                                        )
                                ),
                                array (
                                        'name' => 't0640',
                                        'type' => 'task',
                                        'module' => 'm_tws_finish',
                                        'input' => array (
                                                'i_goto' => 'error=""',
                                                'i_environment' => '',
                                                'i_tws_msg' => 'msg=""',
                                                'i_tws_finish' => 'interim_record=false'
                                        ),
                                        'output' => array ()
                                )
                        )   // PROD DEL UPD 
                )   // activity array 
        ),  // end IWS_DEL_J700  		
    )    
?>
